part of keyclic_sdk_api.api;

class ActivityPagination {
  int limit = null;

  int page = null;

  int pages = null;

  int total = null;

  ActivityCollection embedded = null;

  PaginationLinks links = null;

  ActivityPagination();

  @override
  String toString() {
    return 'ActivityPagination[limit=$limit, page=$page, pages=$pages, total=$total, embedded=$embedded, links=$links, ]';
  }

  ActivityPagination.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    limit = json['limit'];
    page = json['page'];
    pages = json['pages'];
    total = json['total'];
    embedded = new ActivityCollection.fromJson(json['_embedded']);
    links = new PaginationLinks.fromJson(json['_links']);
  }

  Map<String, dynamic> toJson() {
    return {
      'limit': limit,
      'page': page,
      'pages': pages,
      'total': total,
      '_embedded': embedded,
      '_links': links,
    };
  }

  static List<ActivityPagination> listFromJson(List<dynamic> json) {
    return json == null
        ? new List<ActivityPagination>()
        : json.map((value) => new ActivityPagination.fromJson(value)).toList();
  }

  static Map<String, ActivityPagination> mapFromJson(
      Map<String, dynamic> json) {
    var map = new Map<String, ActivityPagination>();
    if (json != null && json.length > 0) {
      json.forEach((String key, dynamic value) =>
          map[key] = new ActivityPagination.fromJson(value));
    }
    return map;
  }
}
